launchpad-reviewers team mailing list archive
-
launchpad-reviewers team
-
Mailing list archive
-
Message #06155
[Merge] lp:~allenap/maas/generate-and-upload-docs into lp:maas
Gavin Panella has proposed merging lp:~allenap/maas/generate-and-upload-docs into lp:maas.
Requested reviews:
Launchpad code reviewers (launchpad-reviewers)
For more details, see:
https://code.launchpad.net/~allenap/maas/generate-and-upload-docs/+merge/89795
--
https://code.launchpad.net/~allenap/maas/generate-and-upload-docs/+merge/89795
Your team Launchpad code reviewers is requested to review the proposed merge of lp:~allenap/maas/generate-and-upload-docs into lp:maas.
=== added file 'templates/script.sh'
--- templates/script.sh 1970-01-01 00:00:00 +0000
+++ templates/script.sh 2012-01-23 21:57:24 +0000
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+# Copyright 2012 Canonical Ltd. This software is licensed under the
+# GNU Affero General Public License version 3 (see the file LICENSE).
+
+# Exit immediately if a command exits with a non-zero status.
+set -o errexit
+# Treat unset variables as an error when substituting.
+set -o nounset
=== added file 'utilities/generate-and-upload-docs'
--- utilities/generate-and-upload-docs 1970-01-01 00:00:00 +0000
+++ utilities/generate-and-upload-docs 2012-01-23 21:57:24 +0000
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+# Copyright 2012 Canonical Ltd. This software is licensed under the
+# GNU Affero General Public License version 3 (see the file LICENSE).
+
+# Exit immediately if a command exits with a non-zero status.
+set -o errexit
+# Treat unset variables as an error when substituting.
+set -o nounset
+
+# Print commands and their arguments as they are executed.
+set -o xtrace
+
+outdir="$(mktemp -d "${PWD}/.documentation.XXXXXX")"
+trap 'rm -r "${outdir}"' EXIT
+
+bzr export "${outdir}" lp:maas
+make -C "${outdir}" doc
+
+rsync -ave ssh \
+ "${outdir}/docs/_build/html/" \
+ "people.canonical.com:public_html/docs/lp:maas/" \
+ --delete --delete-after
Follow ups